---
title: ESP8266开发环境的搭建
categories:
  - ESP8266
abbrlink: 5bce99c
date: 2018-01-21 21:54:35
tags:
---
## 前言：
本篇文章主要讲一下，ESP8266的开发环境怎么搭建。

## 开发工具下载:
对于ESP8266的开发工具我们采用的是eclipse搭建的一个IDE。这是安信可公司开发出来的，他们公司还出了一款付费的，只需要点一点就能生成基础代码的工具(不付费只能生成代码不能编译)。[点击这里](http://pan.baidu.com/s/1skRvR1j)下载最新的IDE。这里最新更新是2016年，应该已经停止了更新。防止链接失效，我转存到我的网盘：[ESP8266开发环境](https://pan.baidu.com/s/1c3OitUw) 密码: qnkh。如果我的失效了请联系我更换。
## 开发环境搭建步骤
当你忍受了百度云限速下载完成后恭喜你最<font color=#00ffff size=5>艰难</font>的一步完成！下载之后的会有四个文件：
<!---more---->
文件     |说明
---    |---
cygwin.exe | cygwin和xtensa编译器环境
Eclipse.exe | eclipse c/c++ 开发工具打包
ESP_IDE.exe | 一体化开发环境(配置)工具
下载前读我！！！.txt|就是说明文档和教程(我的教程意义何在!!!)
1. 我们要把下载的文件放到你想要放的位置该位置必须<font color=#ff0000 size=5>不能有空格</font>(cygwin目录不能有空格)，我一开始放在了放在了"D:\Program Files\ESP8266IDE\" 目录下导致后面没法选择 cygwin。最后我选择放在 "D:\ESP8266IDE\"，
2. 点击打开cygwin.exe和Eclipse.exe进行自解压到当前目录，解压完成之后会在生成两个目录，"cygwin 和 eclipse"。
3. 点击ESP_IDE.exe运行，选择cygwin目录和eclipse目录。同时右下角的Not Ask也勾选，这样下次就不会再次弹出来让你选择path。如果出问题了删除ESP_IDE.exe同级目录->config->cfg.xml，再次打开就会提示你选择。
![选择工具路径](https://s1.ax1x.com/2018/01/21/pfHHkF.png)
4. 首次运行会提示选择工作空间的路径。自己建一个目录选择就OK了,我选择"D:\ESP8266IDE\workspaces",勾选下面的选项下次就不会弹出来让你选了。(备注：一个工作空间可以同时打开很多个工程，不是每一个工程都需要打开一次IDE)。
![选择工作空间](https://s1.ax1x.com/2018/01/21/pfHbY4.png)  

## 完成搭建
这样就完成了开发环境的配置了，是不是感觉有点简单的过分。把cygwin.exe、Eclipse.exe删除节省空间。最后，别忘了把ESP_IDE.exe创建一个快捷方式到桌面(不懂的...)，这样你下次直接点击就能打开eclipseIDE了。  

## 后记
1. 还有另外一种使用ubuntu镜像进行编译的方式，不过没有这种方便所以就不介绍了(官方有一个文档可自行去乐鑫下载也可下载我上传到网盘的链接:[https://pan.baidu.com/s/1ggMazRl](https://pan.baidu.com/s/1ggMazRl) 密码: g3y3 ,在第9/31页开始讲。所以感谢[安信可公司](https://www.ai-thinker.com)的奉献，让我们可以省去使用官方ubuntu镜像编译的开发方式！撒花ing...
2. arduino IDE工具，这个也可以开发，不过我并不喜欢arduino所以我一眼都没看过23333。  

## 附录  
 1. 乐鑫公司官方文档资料、工具、demo下载地址:[http://espressif.com/zh-hans/support/download/overview](http://espressif.com/zh-hans/support/download/overview).
 2. 安信可公司官方的资料地址:[http://wiki.ai-thinker.com/esp8266](http://wiki.ai-thinker.com/esp8266).
 3. 开发快公司提供免费的ESP8266模组的申请:[http://bbs.kaifakuai.com/thread-981-1-1.html](http://bbs.kaifakuai.com/thread-981-1-1.html),注册之后就可以申请(我当时就是因为申请到了才开始玩ESP8266的，虽然很便宜但是抵不住他不要钱啊！！！).当然他们公司资料也很多的也很活跃，大家可以到处逛逛。开发快官方开发平台:[http://developer.kaifakuai.com](http://developer.kaifakuai.com)。QQ群:445880047。
