---
title: Linux子系统图形界面
tags:
  - Linux子系统图形界面
categories:
  - linux
comments: true
images: 'http://begild-one.top/Ubuntu%E6%A1%8C%E9%9D%A2.png'
abbrlink: 858a9730
date: 2018-04-19 20:00:01
---
搞完Windows下Linux下子系统的启用，可以用命令行进行使用但是却是一个完全没有界面的系统。这样怎么能拼过虚拟机呢对吧。所以：图形界面启动！。<!---more--->

## Windows X Server
1. 下载 VcXsrv [https://sourceforge.net/projects/vcxsrv/files/latest/download](https://sourceforge.net/projects/vcxsrv/files/latest/download) 用迅雷下会快一些👀。
2. 运行下载下来的 VcXsrv 安装程序，安装位置自己选，开心就好。
3. 安装完成之后会有两个软件启动方式，选择用 XLaunch 启动，在启动界面选择 One large windows 方式，显示器编号：0，接下来一路 Next 到完成结束。然后会出现一个黑黑的界面。
![XLunch启动设置](http://begild-one.top/XLunch%E5%90%AF%E5%8A%A8%E8%AE%BE%E7%BD%AE.png)

## Ubuntu的桌面软件安装
1. 安装 Ubuntu 桌面软件，unity，compiz配置软件,下载的软件很大。大概需要2.5个G的空间，耐心等待(我大概用了15分钟左右才装好)。
```
sudo apt-get install ubuntu-desktop unity compizconfig-settings-manager
```

## Ubuntu的桌面的配置
1. 设置显示器 ;
```
export  DISPLAY=localhost:0
```
2. 设置桌面参数,勾选了Ubuntu Unity Plugin 和 Window Management 下的 Place Window选项，其他的根据自己需要修改。设置完毕之后关闭即可;
```
ccsm
```
![ccsm设置](http://begild-one.top/ccsm%E8%AE%BE%E7%BD%AE.png)

3. 展示桌面，运行下面指令。就可以在上面说的黑黑的界面上绘出桌面了。看起来是不是毫无违和感23333。
```
compiz
```
 ![Ubuntu桌面](http://begild-one.top/Ubuntu%E6%A1%8C%E9%9D%A2.png)
4. 做一个脚本便于设置和启动桌面。新建一个脚本放在根目录 `cd / && sudo vi vcxsrv.sh` 将下面的代码粘贴到 vcxsrv.sh 里，再赋予执行权限 `chmod +x vcxsrv.sh` 。每次先用控制台进入 bash 运行脚本就OK了。
```
#! /bin/sh
export  DISPLAY=localhost:0 #设置显示屏
compiz
```

## 内存占用
经过实测,8G内存，即使开启图形界面之后内存占用提升仅仅接近500M(31%-->37%)，对比虚拟机(起码分配2G内存)少的就不止一点半点了好吧。确实是指的鼓捣的东西。

## 已知的一些问题
1. 键盘的上下左右键值会被识别为数字8246，并且很鬼畜的识别为长按🤕，猜测原因：系统默认不开启数字键盘,导致识别错误但是识别为长按是什么鬼嘛。这一点很蛋疼。
2. 刚启动桌面，桌面鼠标不可见或者会变成 × 号，解决办法：打开一个应用程序(非终端)后正常。
